import React from 'react'
import style from "./Footer.module.css"
import AddressCard from './Address Card/AddressCard'
import Nav from './Nav/Nav'
import links from './Nav/links'
import LinkList from './Nav/Link-List/LinkList'
import Form from './Form/Form'
import CopyRight from './Copyright/CopyRight'
import Icons from './Nav/icons/Icons'
const Footer = () => {
    return (
        <footer className={style.footer}>
            <div className={style["wrapper-flex"]}>
                <AddressCard />
                <Nav>
                    {
                        links.map((link, index) => {
                            // console.log(link)
                            return (
                                <LinkList {...link} key={index} />
                            )
                        })
                    }
                    <Icons />
                </Nav>
                <Form />
                <CopyRight />
            </div>
        </footer>
    )
}

export default Footer