import React from 'react'
import styles from "./Linklist.module.css"
import Icons from '../icons/Icons';
type props = {
    title: String;
    links: String[];
    icons: boolean;
    icon?: boolean;
    ititle?: string;
    style?: React.CSSProperties;
}

const LinkList: React.FC<props> = ({ title, links, icons, style, icon, ititle }) => {
    return (
        <div style={style && style} className={styles.card}>
            <h6 className={styles.title}>
                {title}
            </h6>
            {
                links.map((item, i) => {
                    return (<a href="#" key={i} className={styles.link}>
                        {item}
                    </a>)
                })
            }
            {
                icon &&
                <Icons title={ititle && ititle} />
            }
        </div>
    )
}

export default LinkList