import type { Meta, StoryObj } from "@storybook/react";
import Nav from "./Nav";
import { render } from "react-dom";

const meta: Meta<typeof Nav> = {
    title: 'footer/NavLinks',
    component: Nav,
}

export default meta;

type story = StoryObj<typeof Nav>
import links from "./links";
import LinkList from "./Link-List/LinkList";
import Icons from "./icons/Icons";
import { style } from "../Address Card/AddressCard";
export const navbar = {
    name: "Navigation-Links",
    render: () => {
        return (
            <Nav style={style}>
                {
                    links.map((link, index) => {
                        // console.log(link)
                        return (
                            <LinkList {...link} key={index} />
                        )
                    })
                }
                <Icons />
            </Nav>
        )
    }
}